<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'payroll',

    /*
     * Package.
     */
    'package'   => 'employee',

    /*
     * Modules.
     */
    'modules'   => ['employee'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    'employee'       => [
        'model'             => 'Payroll\Employee\Models\Employee',
        'table'             => 'employees',
        'presenter'         => \Payroll\Employee\Repositories\Presenter\EmployeeItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'company_id',  'department_id',  'slug',  'emp_no',  'name',  'address',  'passport_no',  'country',  'designation',  'reporting_manager',  'gender',  'dob',  'date_of_join',  'visa_type',  'visa_renewal_date',  'wp_number',  'reminder',  'photo',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'company_id',  'department_id',  'slug',  'emp_no',  'name',  'address',  'passport_no',  'country',  'designation',  'reporting_manager',  'gender',  'dob',  'date_of_join',  'visa_type',  'visa_renewal_date',  'wp_number',  'reminder',  'photo',  'created_at',  'updated_at',  'deleted_at'],

        'upload_folder'     => 'employee/employee',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
        /*
        'workflow'      => [
            'points' => [
                'start' => 'draft',
                'end'   => ['delete'],
            ],
            'steps'  => [
                'draft'     => [
                    'label'  => "Employee created",
                    'action' => ['setStatus', 'draft'],
                    'next'   => ['complete'],
                ],
                'complete'  => [
                    'label'  => "Employee completed",
                    'status' => ['setStatus', 'complete'],
                    'next'   => ['verify'],
                ],
                'verify'    => [
                    'label'  => "Employee verified",
                    'action' => ['setStatus', 'verify'],
                    'next'   => ['approve'],
                ],
                'approve'   => [
                    'label'  => "Employee approved",
                    'action' => ['setStatus', 'approve'],
                    'next'   => ['publish'],
                ],
                'publish'   => [
                    'label'  => "Employee published",
                    'action' => ['setStatus', 'publish'],
                    'next'   => ['unpublish', 'delete', 'target', 'archive'],
                ],
                'unpublish' => [
                    'label'  => "Employee unpublished",
                    'action' => ['setStatus', 'unpublish'],
                    'next'   => ['publish', 'target', 'archive', 'delete'],
                ],
                'archive'   => [
                    'label'  => "Employee archived",
                    'action' => ['setStatus', 'archive'],
                    'next'   => ['publish', 'delete'],
                ],
                'delete'    => [
                    'Label'  => "Employee deleted",
                    'status' => ['delete', 'archive'],
                ],
            ],
        ],
        */
    ],
];
