<?php

use Illuminate\Database\Migrations\Migration;

class CreateEmployeesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: employees
         */
        Schema::create('employees', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->string('emp_no', 255)->nullable();
            $table->string('name', 250)->nullable();
            $table->text('address')->nullable();
            $table->string('passport_no', 255)->nullable();
            $table->string('country', 255)->nullable();
            $table->string('designation', 255)->nullable();
            $table->string('reporting_manager', 255)->nullable();
            $table->enum('gender', ['Male','Female','Others'])->nullable();
            $table->date('dob')->nullable();
            $table->date('date_of_join')->nullable();
            $table->string('visa_type', 255)->nullable();
            $table->date('visa_renewal_date')->nullable();
            $table->string('wp_number', 255)->nullable();
            $table->date('reminder')->nullable();
            $table->text('photo')->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'complete', 'verify', 'approve', 'publish', 'unpublish', 'archive'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type',50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('employees');
    }
}
