@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('employee::employee.name') !!} <small> {!! trans('app.manage') !!} {!! trans('employee::employee.names') !!}</small>
@stop

@section('title')
{!! trans('employee::employee.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('employee::employee.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='employee-employee-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="employee-employee-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('employee::employee.label.company_id')!!}</th>
                    <th>{!! trans('employee::employee.label.department_id')!!}</th>
                    <th>{!! trans('employee::employee.label.emp_no')!!}</th>
                    <th>{!! trans('employee::employee.label.name')!!}</th>
                    <th>{!! trans('employee::employee.label.designation')!!}</th>
                    <th>{!! trans('employee::employee.label.reporting_manager')!!}</th>
                    <th>{!! trans('employee::employee.label.gender')!!}</th>
                    <th>{!! trans('employee::employee.label.status')!!}</th>
                    <th>{!! trans('employee::employee.label.created_at')!!}</th>
                    <th>{!! trans('employee::employee.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[company_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[department_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[emp_no]')->raw()!!}</th>
                    <th>{!! Form::text('search[name]')->raw()!!}</th>
                    <th>{!! Form::text('search[designation]')->raw()!!}</th>
                    <th>{!! Form::text('search[reporting_manager]')->raw()!!}</th>
                    <th>{!! Form::text('search[gender]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#employee-employee-entry', '{!!trans_url('admin/employee/employee/0')!!}');
    oTable = $('#employee-employee-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/employee/employee') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#employee-employee-list .search_bar input, #employee-employee-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'company_id'},
                    {data :'department_id'},
                        {data :'emp_no'},
                    {data :'name'},
                                {data :'designation'},
                    {data :'reporting_manager'},
                    {data :'gender'},
                                                        {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#employee-employee-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#employee-employee-list').DataTable().row( this ).data();

        $('#employee-employee-entry').load('{!!trans_url('admin/employee/employee')!!}' + '/' + d.id);
    });

    $("#employee-employee-list .search_bar input, #employee-employee-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

