<?php

namespace Payroll\Employee\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Payroll\Employee\Interfaces\EmployeeRepositoryInterface;

class EmployeePublicController extends BaseController
{
    // use EmployeeWorkflow;

    /**
     * Constructor.
     *
     * @param type \Payroll\Employee\Interfaces\EmployeeRepositoryInterface $employee
     *
     * @return type
     */
    public function __construct(EmployeeRepositoryInterface $employee)
    {
        $this->repository = $employee;
        parent::__construct();
    }

    /**
     * Show employee's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $employees = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('employee::public.employee.index', compact('employees'))->render();
    }

    /**
     * Show employee.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $employee = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('employee::public.employee.show', compact('employee'))->render();
    }

}
