<?php

namespace Payroll\Employee\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class EmployeeItemTransformer extends TransformerAbstract
{
    public function transform(\Payroll\Employee\Models\Employee $employee)
    {
        return [
            'id'                => $employee->getRouteKey(),
            'id'                => $employee->id,
            'company_id'        => $employee->company_id,
            'department_id'     => $employee->department_id,
            'slug'              => $employee->slug,
            'emp_no'            => $employee->emp_no,
            'name'              => $employee->name,
            'address'           => $employee->address,
            'passport_no'       => $employee->passport_no,
            'country'           => $employee->country,
            'designation'       => $employee->designation,
            'reporting_manager' => $employee->reporting_manager,
            'gender'            => $employee->gender,
            'dob'               => $employee->dob,
            'date_of_join'      => $employee->date_of_join,
            'visa_type'         => $employee->visa_type,
            'visa_renewal_date' => $employee->visa_renewal_date,
            'wp_number'         => $employee->wp_number,
            'reminder'          => $employee->reminder,
            'photo'             => $employee->photo,
            'created_at'        => $employee->created_at,
            'updated_at'        => $employee->updated_at,
            'deleted_at'        => $employee->deleted_at,
            'status'            => trans('app.'.$employee->status),
            'created_at'        => format_date($employee->created_at),
            'updated_at'        => format_date($employee->updated_at),
        ];
    }
}