<?php

namespace Payroll\Employee\Workflow;

use Payroll\Employee\Models\Employee;
use Payroll\Employee\Notifications\Employee as EmployeeNotifyer;
use Notification;

class EmployeeNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Employee $employee
     *
     * @return void
     */
    public function complete(Employee $employee)
    {
        return Notification::send($employee->user, new EmployeeNotifyer($employee, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Employee $employee
     *
     * @return void
     */
    public function verify(Employee $employee)
    {
        return Notification::send($employee->user, new EmployeeNotifyer($employee, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Employee $employee
     *
     * @return void
     */
    public function approve(Employee $employee)
    {
        return Notification::send($employee->user, new EmployeeNotifyer($employee, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Employee $employee
     *
     * @return void
     */
    public function publish(Employee $employee)
    {
        return Notification::send($employee->user, new EmployeeNotifyer($employee, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Employee $employee
     *
     * @return void
     */
    public function archive(Employee $employee)
    {
        return Notification::send($employee->user, new EmployeeNotifyer($employee, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Employee $employee
     *
     * @return void
     */
    public function unpublish(Employee $employee)
    {
        return Notification::send($employee->user, new EmployeeNotifyer($employee, 'unpublish'));;

    }
}
